'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5a587dac.js');

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.progress = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.progress, '', '');
  }
  render() {
    return index.h("div", { style: {
        width: `100px`,
        height: `100px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getText()}%, 0, #ecf0f1 ${(100 - parseInt(this.getText())).toString()}%)`,
        borderRadius: `50%`
      } }, index.h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `#fff`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }, index.h("span", { style: {
        fontFamily: `"Helvetica Neue", Helvetica, Arial, Verdana, sans-serif`,
        fontSize: `2em`,
        fontWeight: `lighter`
      } }, this.getText())));
  }
};
MyComponent.style = circleProgressCss;

exports.circle_progress = MyComponent;
