import { Component, Prop, h } from '@stencil/core';
import { format } from '../../utils/utils';
export class MyComponent {
  constructor() {
    this.progress = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `100px`,
        height: `100px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getText()}%, 0, #ecf0f1 ${(100 - parseInt(this.getText())).toString()}%)`,
        borderRadius: `50%`
      } },
      h("div", { style: {
          display: `flex`,
          alignItems: `center`,
          justifyContent: `center`,
          backgroundColor: `#fff`,
          height: `60%`,
          width: `60%`,
          borderRadius: `50%`,
          boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
        } },
        h("span", { style: {
            fontFamily: `"Helvetica Neue", Helvetica, Arial, Verdana, sans-serif`,
            fontSize: `2em`,
            fontWeight: `lighter`
          } }, this.getText())));
  }
  static get is() { return "circle-progress"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get styleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get properties() { return {
    "first": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "first",
      "reflect": false
    },
    "progress": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress",
      "reflect": false,
      "defaultValue": "\"0\""
    },
    "progressColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress-color",
      "reflect": false,
      "defaultValue": "\"#2ecc71\""
    }
  }; }
}
