import { attachShadow, h, proxyCustomElement } from '@stencil/core/internal/client';
export { setAssetPath, setPlatformOptions } from '@stencil/core/internal/client';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent$2 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
    this.progress = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `100px`,
        height: `100px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getText()}%, 0, #ecf0f1 ${(100 - parseInt(this.getText())).toString()}%)`,
        borderRadius: `50%`
      } }, h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `#fff`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }, h("span", { style: {
        fontFamily: `"Helvetica Neue", Helvetica, Arial, Verdana, sans-serif`,
        fontSize: `2em`,
        fontWeight: `lighter`
      } }, this.getText())));
  }
  static get style() { return circleProgressCss; }
};

const myComponentCss = ":host{display:block}";

const MyComponent$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
  }
  render() {
    return h("div", null, this.first);
  }
  static get style() { return myComponentCss; }
};

const CircleProgress = /*@__PURE__*/proxyCustomElement(MyComponent$2, [1,"circle-progress",{"first":[1],"progress":[1],"progressColor":[1,"progress-color"]}]);
const MyComponent = /*@__PURE__*/proxyCustomElement(MyComponent$1, [1,"my-component",{"first":[1]}]);
const defineCustomElements = (opts) => {
  if (typeof customElements !== 'undefined') {
    [
      CircleProgress,
  MyComponent
    ].forEach(cmp => {
      if (!customElements.get(cmp.is)) {
        customElements.define(cmp.is, cmp, opts);
      }
    });
  }
};

export { CircleProgress, MyComponent, defineCustomElements };
