import { r as registerInstance, h } from './index-d094b81c.js';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.progress = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `100px`,
        height: `100px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getText()}%, 0, #ecf0f1 ${(100 - parseInt(this.getText())).toString()}%)`,
        borderRadius: `50%`
      } }, h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `#fff`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }, h("span", { style: {
        fontFamily: `"Helvetica Neue", Helvetica, Arial, Verdana, sans-serif`,
        fontSize: `2em`,
        fontWeight: `lighter`
      } }, this.getText())));
  }
};
MyComponent.style = circleProgressCss;

export { MyComponent as circle_progress };
